part of swagger.api;



class HostingftpAPIApi {
  final ApiClient apiClient;

  HostingftpAPIApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Получить список зарегистрированных аккаунтов FTP
  ///
  /// 
  Future<List<InlineResponse2007>> ftpListGet(String token_,  {  bool justIgnoreThisFlag: true}) async {
    if (!justIgnoreThisFlag) {
      print('Why???   Just trust me, I only need this variable inside the mustache codegen template.');
      // This code may be removed as soon as dart accepts trailing spaces (has already been implemented).
    }
    Object postBody = null;

    // verify required params are set
    if(token_ == null) {
     throw new ApiException(400, "Missing required param: token_");
    }

    // create path and map variables
    String path = "/ftp/list".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if("null" != token_) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "_token_", token_));
    }
    
    List<String> contentTypes = ["application/json"];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = [];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return  apiClient.deserialize(response.body, 'List<InlineResponse2007>') ;
    } else {
      return null;
    }
  }
}
