part of swagger.api;


@Entity()
class   {
  /* Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита. */
  @Property(name: 'mail')
  String mail = null;
  
/* Ограничение на количество сайтов. '-' означает отсутствие лимита. */
  @Property(name: 'website')
  String website = null;
  
/* MySQL разрешен, если true. */
  @Property(name: 'mysql')
  bool mysql = null;
  
/* Ограничение на размер дискового пространства. '-' означает отсутствие лимита. */
  @Property(name: 'size')
  String size = null;
  
/* MSSQL разрешен, если true. */
  @Property(name: 'mssql')
  bool mssql = null;
  
/* CGI и PHP скрипты разрешены, если true. */
  @Property(name: 'dynamic_content')
  bool dynamicContent = null;
  
/* Функция exec() в PHP разрешена, если true. */
  @Property(name: 'php_exec')
  bool phpExec = null;
  
/* Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита. */
  @Property(name: 'ftp2')
  String ftp2 = null;
  
   ();

  @override
  String toString()  {
    return ' [mail=$mail, website=$website, mysql=$mysql, size=$size, mssql=$mssql, dynamicContent=$dynamicContent, phpExec=$phpExec, ftp2=$ftp2, ]';
  }

}

