part of swagger.api;


@Entity()
class InlineResponse2001 {
  /* Идентификатор аккаунта */
  @Property(name: 'id')
  int id = null;
  
/* Описание аккаунта */
  @Property(name: 'description')
  String description = null;
  
/* Идентификатор тарифной группы */
  @Property(name: 'billing_group_id')
  int billingGroupId = null;
  
/* Аккаунт заблокирован, если true */
  @Property(name: 'blocked')
  String blocked = null;
  
/* Дата блокировки */
  @Property(name: 'blocked_date')
  String blockedDate = null;
  
/* Причина блокировки */
  @Property(name: 'blocked_reason')
  String blockedReason = null;
  
/* Ограничение суммы на работу в аванс */
  @Property(name: 'credit_limit')
  Number creditLimit = null;
  
/* Идентификатор тарифа */
  @Property(name: 'plan_id')
  int planId = null;
  
/* Идентификатор тарифа (периода) */
  @Property(name: 'period_id')
  int periodId = null;
  
/* Тип договора */
  @Property(name: 'contract_type')
  int contractType = null;
  
/*  */
  @Property(name: 'client_id')
  int clientId = null;
  
/* Логин клиента */
  @Property(name: 'client_login')
  String clientLogin = null;
  
/* Номер договора */
  @Property(name: 'contract_id')
  String contractId = null;
  
/* Имя клиента на русском */
  @Property(name: 'name_rus')
  String nameRus = null;
  
/* Имя клиента на английском */
  @Property(name: 'name_eng')
  String nameEng = null;
  
/* E-mail клиент */
  @Property(name: 'email')
  String email = null;
  
/* Количество созданных сайтов */
  @Property(name: 'stat_sites')
  int statSites = null;
  
/* Используемое дисковое пространство */
  @Property(name: 'stat_size_mb')
  int statSizeMb = null;
  
/* Количество созданных почтовых ящиков */
  @Property(name: 'stat_emails')
  int statEmails = null;
  
/* Количество баз данных MySQL */
  @Property(name: 'stat_mysqls')
  int statMysqls = null;
  
/*  */
  @Property(name: 'stat_tech')
  int statTech = null;
  
/*  */
  @Property(name: 'stat_nicd')
  int statNicd = null;
  
/*  */
  @Property(name: 'stat_access_dynamic')
  int statAccessDynamic = null;
  
/*  */
  @Property(name: 'stat_access_static')
  int statAccessStatic = null;
  
/*  */
  @Property(name: 'stat_access_traffic')
  int statAccessTraffic = null;
  
/*  */
  @Property(name: 'stat_paid_total')
  int statPaidTotal = null;
  
/* Размер дисков VDS */
  @Property(name: 'stat_vds_size')
  int statVdsSize = null;
  
/* Название тарифного плана */
  @Property(name: '__plan_name')
  String planName = null;
  
/* Количество месяцев в оплаченном периоде */
  @Property(name: '__period_months')
  int periodMonths = null;
  
/* Стоимость оплаченного периода */
  @Property(name: '__period_price')
  Number periodPrice = null;
  
/*  */
  @Property(name: '__expires')
  String expires = null;
  
/* Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$') */
  @Property(name: 'external_currency_spelled_prefix')
  String externalCurrencySpelledPrefix = null;
  
/* Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.' */
  @Property(name: 'external_currency_spelled_suffix')
  String externalCurrencySpelledSuffix = null;
  
  InlineResponse2001();

  @override
  String toString()  {
    return 'InlineResponse2001[id=$id, description=$description, billingGroupId=$billingGroupId, blocked=$blocked, blockedDate=$blockedDate, blockedReason=$blockedReason, creditLimit=$creditLimit, planId=$planId, periodId=$periodId, contractType=$contractType, clientId=$clientId, clientLogin=$clientLogin, contractId=$contractId, nameRus=$nameRus, nameEng=$nameEng, email=$email, statSites=$statSites, statSizeMb=$statSizeMb, statEmails=$statEmails, statMysqls=$statMysqls, statTech=$statTech, statNicd=$statNicd, statAccessDynamic=$statAccessDynamic, statAccessStatic=$statAccessStatic, statAccessTraffic=$statAccessTraffic, statPaidTotal=$statPaidTotal, statVdsSize=$statVdsSize, planName=$planName, periodMonths=$periodMonths, periodPrice=$periodPrice, expires=$expires, externalCurrencySpelledPrefix=$externalCurrencySpelledPrefix, externalCurrencySpelledSuffix=$externalCurrencySpelledSuffix, ]';
  }

}

